Bug 115741 - cups doesn't obey paper-size options to lp
cups doesn't obey paper-size options to lp
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: cups (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-15 11:34 EST by Jonathan Kamens
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 04:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PostScript file which won't print on legal paper when lp is told it should (15.97 KB, application/postscript)
2004-02-15 11:34 EST, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2004-02-15 11:34:15 EST
I have a PostScript file which is supposed to be printed on legal
paper.  It's very small, so I'll attach it.  It doesn't have the
correct setpagedevice command in it, for reasons I've already reported
in another bug (about psutils).  I wanted to get the printer to print
it properly anyway, so I did this:

lp -d lj1100-draft -o PageSize=Legal -o PageRegion=Legal -o
ImageableArea=Legal -o PaperDimension=Legal foo.ps

It didn't work.  Despite all those options attempting to tell CUPS to
tell the printer to print on legal paper, it still printed on letter
paper.

This may actually be a foomatic bug -- perhaps foomatic needs to
generate PPD files which contain the -sPAPERSIZE gs option but it doesn't.

When I printed the same file directly with gs as follows, it worked:

gs -sDEVICE=ljet4 -sPAPERSIZE=legal -sOutputFile=- -dNOPAUSE -dSAFER
-q - < foo.nup |lp -oraw -dlj1100-draft
Comment 1 Jonathan Kamens 2004-02-15 11:34:59 EST
Created attachment 97690 [details]
PostScript file which won't print on legal paper when lp is told it should
Comment 2 Tim Waugh 2004-05-12 13:17:28 EDT
Not sure if those options are meant to apply to PostScript jobs, or if
they are just there for the filters that create PostScript from other
formats.
Comment 3 Bill Nottingham 2006-08-07 21:36:12 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 4 Jonathan Kamens 2006-08-10 04:12:12 EDT
This is no longer an issue in cups-1.2.1-12.

Note You need to log in before you can comment on or make changes to this bug.